// @flow
const actionTypes = `
  CONFIGURE_EDITOR
  CONFIGURE_EDITOR_API
  GLOBAL_API_CONFIG
  CONFIGURATION_ERROR
  MOUNT_EDITOR
  EDITOR_CHANGE_STATE
  EDITOR_TRANSFORM_TO_RAW_STATE
  CONFIGURE_TOOLBAR
  UPDATE_WORD_COUNT
  UPDATE_CHAR_COUNT
  UPDATE_LIFECYCLE
  LINK_CHANGE_STATE
  TOGGLE_ALIGNMENT
`;

const createTypes = (types: string): Object=> types.split('\n').reduce((acc: Object, actionType: string) => {
  const type = actionType.trim();
  return type.length ? { ...acc, [type]: type } : acc;
}, {});

export default createTypes(actionTypes);