import React from 'react';
import { shallow } from 'enzyme';
import Separator from './separator';
import styles from './separator.module.scss';

describe('separator tests', () => {
  let shallowSeparator;
  beforeEach(()=>{
    shallowSeparator = shallow(<Separator/>);
  });
  it('should render separator with proper className', () => {
    expect(shallowSeparator.hasClass(styles.block)).toBeTruthy();
  });
  it('should render separator with proper tag', () => {
    expect(shallowSeparator.type()).toBe('hr');
  });
});
