// @flow
export default function filterProps(props: Object, keysToFilter: Array<string>) :Object {
  return Object.keys(props).reduce((acc: Object, key: string) => {
    return keysToFilter.includes(key) ?
      acc :
    { ...acc, [key]: props[key] };
  }, {});
}